slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSKrylovSchurGetKSP

Retrieve the linear solver object associated with the internal EPS object in case of doing spectrum slicing for a computational interval.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurGetKSP(EPS eps,KSP *ksp)

Collective

### Input Parameter

| eps | - the eigenproblem solver context

### Output Parameter

| ksp | - the internal KSP object

### Notes

When invoked to compute all eigenvalues in an interval with spectrum slicing, EPSKRYLOVSCHUR creates another EPS object internally that is used to compute eigenvalues by chunks near selected shifts. This function allows access to the KSP object associated to this internal EPS object.

This function is only available for spectrum slicing runs. In case of having more than one partition, the returned KSP will be different in MPI processes belonging to different partitions. Hence, if required, EPSKrylovSchurSetPartitions() must be called BEFORE this function.

### See Also

EPSSetInterval(), EPSKrylovSchurSetPartitions()

### Level

advanced

### Location

src/eps/impls/krylov/krylovschur/krylovschur.c

### Examples

src/eps/tutorials/ex12.c
src/eps/tutorials/ex25.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages